- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Signals | Public Member Functions

# QFileSystemWatcher Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qfilesystemwatcher.h.

`#include <qfilesystemwatcher.h>`

Inheritance diagram for QFileSystemWatcher:
[legend]

List of all members.

## Signals
void | fileChanged (const QString &path)
void | directoryChanged (const QString &path)
## Public Member Functions
| QFileSystemWatcher (QObject *parent=0)
| QFileSystemWatcher (const QStringList &paths, QObject *parent=0)
| ~QFileSystemWatcher ()
void | addPath (const QString &file)
void | addPaths (const QStringList &files)
void | removePath (const QString &file)
void | removePaths (const QStringList &files)
QStringList | files () const
QStringList | directories () const

## Constructor & Destructor Documentation

QFileSystemWatcher | ( | QObject * | parent = `0` | ) |

QFileSystemWatcher | ( | const QStringList & | paths,
|  | QObject * | parent = `0`
| ) |  |

~QFileSystemWatcher | ( |  | ) |

## Member Function Documentation

void addPath | ( | const QString & | file | ) |

Search for all occurrences

void addPaths | ( | const QStringList & | files | ) |

Search for all occurrences

void removePath | ( | const QString & | file | ) |

Search for all occurrences

void removePaths | ( | const QStringList & | files | ) |

Search for all occurrences

QStringList files | ( |  | ) | const

Search for all occurrences

QStringList directories | ( |  | ) | const

Search for all occurrences

void fileChanged | ( | const QString & | path | ) | `[signal]`

Search for all occurrences

void directoryChanged | ( | const QString & | path | ) | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtCore/qfilesystemwatcher.h

QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher
QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher QFileSystemWatcher